Name: libNL
Version: 1.68
Release: alt1

Group: System/Libraries
Summary: A free, open source, game oriented network API
License: LGPL
URL: http://www.hawksoft.com/hawknl/

Source: HawkNL168src.tar.gz

%description
HawkNL is a free, open source, game oriented network API released under
the GNU Library General Public License (LGPL). HawkNL (NL) is a fairly
low level API, a wrapper over Berkeley/Unix Sockets and Winsock. But NL
also provides other features including support for many OSs, groups of
sockets, socket statistics, high accuracy timer, CRC functions, macros
to read and write data to packets with endian conversion, and support
for multiple network transports. 

%package devel
Group: Development/C
Summary: Development part of %name
Requires: %name = %version-%release
%description devel
This package contains header and development libraries of %name.

%package devel-static
Group: Development/C
Summary: Static library of %name
Requires: %name-devel = %version-%release
%description devel-static
This package contains static library of %name.


%prep
%setup -q -n hawknl%version

%build
%make_build -f makefile.linux

%install
install -d %buildroot{%_libdir,%_includedir}
%make LIBDIR=%buildroot%_libdir INCDIR=%buildroot%_includedir -f makefile.linux install
bzip --force --keep --best -- src/nlchanges.txt
ln -sf %name.so.1.6.8 %buildroot%_libdir/%name.so.1.6
ln -sf %name.so.1.6.8 %buildroot%_libdir/%name.so.1
ln -sf %name.so.1.6.8 %buildroot%_libdir/%name.so
ln -sf %name.so.1.6.8 %buildroot%_libdir/NL.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc src/nlchanges.txt.* src/readme.txt
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Fri Apr 14 2006 Sergey Polkovnikov <robin@altlinux.ru> 1.68-alt1
- initial spec
